Bug 1170833 - GCC 10: python-numpy build fails i586
GCC 10: python-numpy build fails i586
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Matej Cepl
E-mail List
:
Depends on:
Blocks: 1157217
  Show dependency treegraph
 
Reported: 2020-04-29 14:02 UTC by Martin Liška
Modified: 2020-05-14 07:24 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2020-04-29 14:02:53 UTC
Fails here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:N/python-numpy/standard/i586

with:

[  374s] self = <numpy.core.tests.test_umath.TestArctan2SpecialValues object at 0xa99a3a18>
[  374s] 
[  374s]     def test_nan_any(self):
[  374s]         # atan2(nan, x) returns nan for any x, including inf
[  374s] >       assert_arctan2_isnan(np.nan, np.inf)
[  374s] 
[  374s] self       = <numpy.core.tests.test_umath.TestArctan2SpecialValues object at 0xa99a3a18>
[  374s] 
[  374s] ../../../BUILDROOT/python-numpy-1.18.2-3.4.i386/usr/lib/python3.8/site-packages/numpy/core/tests/test_umath.py:1017: 
[  374s] _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
[  374s] 
[  374s] x = nan, y = inf
[  374s] 
[  374s]     def assert_arctan2_isnan(x, y):
[  374s] >       assert_(np.isnan(ncu.arctan2(x, y)), "arctan(%s, %s) is %s, not nan" % (x, y, ncu.arctan2(x, y)))
[  374s] E       RuntimeWarning: invalid value encountered in arctan2
[  374s] 
[  374s] x          = nan
[  374s] y          = inf
Comment 1 Martin Liška 2020-05-05 08:25:21 UTC
@Matej: Any progress on this? Note that it will block gcc10 package submission soon?
Comment 2 Martin Liška 2020-05-05 09:49:34 UTC
I suspect a x87 floating point unit issue. Note that the unit has a bigger precision than IEEE754.
Comment 3 Matej Cepl 2020-05-12 11:00:09 UTC
Filed as https://github.com/numpy/numpy/issues/16212
Comment 4 Martin Liška 2020-05-12 19:51:25 UTC
Thank you Matej for the bug report. Would it be possible to somehow disable some tests in order to have it built with gcc10?
Note that the package is one of the last failures before we can get gcc10 into Factory.
Comment 5 Martin Liška 2020-05-14 07:24:25 UTC
Fixed in devel project now.